"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.name = void 0;
// 整体导出对象形式的插件
const koishi_1 = require("koishi");
const koishi_plugin_stats_1 = require("koishi-plugin-stats");
const dates_range_parser_1 = __importDefault(require("dates-range-parser"));
exports.name = "echarts-stats";
function apply(ctx, config) {
    ctx
        .command("stats.chat [rangeInput:text]", "生成聊天频率图表。")
        .option("step", "-s <step>")
        .action(async ({ session, options }, rangeInput) => {
        const range = dates_range_parser_1.default.parse("rangeInput");
        const step = (options.step ?? 30) * 60; // step 单位为分钟，转化为秒
        const result = await ctx.stats.queryClient.rangeQuery(`count(message_length{guildId="${session.guildId}"})`, range.start, range.end, step);
        const option = (0, koishi_plugin_stats_1.generateChartOptions)(result, `本群聊天频次 (${range.start.toISOString()} - ${range.end.toISOString()}`, range.start.getTime(), range.end.getTime(), step);
        const chart = await ctx.echarts.createChartPNG(1200, 800, option);
        return koishi_1.h.image(chart, "image/png");
    });
}
exports.default = apply;
